View Issue Details

IDProjectCategoryView StatusLast Update
0032319LazarusIDEpublic2017-09-03 09:01
ReporterRAWAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWINDOWSOSWINDOWSOS Version7 (x64)
Product Version1.8RC4Product Build55634 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032319: CLASSIC THEME with bold "DialogFieldFont" : wrong appearance, part of the text is hidden...
DescriptionWINDOWS
CLASSIC THEME
LAZARUS IDE
Window-Colors: Bold DialogField Font

The appearance is wrong inside LAZARUS Messages window and ObjectInspector and Options menu... maybe some other menus...

Not all text can be seen if the font is bold... wrong alignment...
Steps To ReproduceSet DialogFieldFont to bold...

WINDOWS, CLASSIC THEME, LAZARUS IDE
Additional Informationsee attached pic
TagsNo tags attached.
Fixed in Revisionr55757, r55758
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0032359 confirmedMichl Themed drawing doesn't work for High-DPI scaled forms. 

Activities

RAW

2017-08-22 20:23

reporter  

Michl

2017-08-22 21:15

developer   ~0102316

Which font do you use? What is it's size?

RAW

2017-08-24 14:44

reporter   ~0102345

It's the standard font I guess, I only changed it to bold...
Tahoma 8

Michl

2017-08-30 09:58

developer  

test.zip (2,438 bytes)

Michl

2017-08-30 10:00

developer   ~0102506

Fixed in trunk. Please test and close if OK.

RAW

2017-09-03 08:51

reporter  

BOLD FONT 55758.png (151,528 bytes)
BOLD FONT 55758.png (151,528 bytes)

RAW

2017-09-03 08:53

reporter   ~0102604

Tested r55758 (LAZARUS 1.9 FPC 3.0.2)
Looks very good so far...

Issue History

Date Modified Username Field Change
2017-08-22 20:23 RAW New Issue
2017-08-22 20:23 RAW File Added: BOLD FONT [Dialogfield].png
2017-08-22 21:15 Michl LazTarget => -
2017-08-22 21:15 Michl Note Added: 0102316
2017-08-22 21:15 Michl Assigned To => Michl
2017-08-22 21:15 Michl Status new => feedback
2017-08-24 14:44 RAW Note Added: 0102345
2017-08-24 14:44 RAW Status feedback => assigned
2017-08-30 09:58 Michl File Added: test.zip
2017-08-30 10:00 Michl Fixed in Revision => r55757, r55758
2017-08-30 10:00 Michl Note Added: 0102506
2017-08-30 10:00 Michl Status assigned => resolved
2017-08-30 10:00 Michl Fixed in Version => 1.9 (SVN)
2017-08-30 10:00 Michl Resolution open => fixed
2017-08-30 10:00 Michl Target Version => 1.8
2017-08-30 10:41 Michl Relationship added related to 0032359
2017-09-03 08:51 RAW File Added: BOLD FONT 55758.png
2017-09-03 08:53 RAW Note Added: 0102604
2017-09-03 09:01 RAW Status resolved => closed